- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# ProgramObject.cpp File Reference

`#include <fstream>`
`#include <osg/Notify>`
`#include <osg/State>`
`#include <osg/Timer>`
`#include <osg/FrameStamp>`
`#include <osgGL2/ProgramObject>`
`#include <osgGL2/UniformValue>`
`#include <osgGL2/Extensions>`
`#include <list>`
`#include <OpenThreads/ScopedLock>`
`#include <OpenThreads/Mutex>`

Include dependency graph for ProgramObject.cpp:

## Typedefs
typedef std::list< GLhandleARB > | GL2ObjectList
typedef std::map< unsigned int, GL2ObjectList > | DeletedGL2ObjectCache
## Variables
std::string | _text

## Typedef Documentation

typedef std::map<unsigned int, GL2ObjectList> DeletedGL2ObjectCache

typedef std::list<GLhandleARB> GL2ObjectList

## Variable Documentation

std::string _text